For the complete documentation index, see llms.txt. This page is also available as Markdown.

List segments

Get a list of all contact segments.

Deprecated

List segments

get

Get a list of all contact segments.

This endpoint returns a list of contact segments that can be used to organize contacts.

Deprecated. This endpoint cannot target a profile, so it always falls back to the client's default profile and cannot list the segments of any other profile. Use GET /api/reach/v1/profiles/{profileUuid}/segmentation/segments instead.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
uuidstringOptionalExample: 550e8400-e29b-41d4-a716-446655440000
namestringOptionalExample: Newsletter Subscribers
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
get/api/reach/v1/segmentation/segments
GET /api/reach/v1/segmentation/segments HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Newsletter Subscribers",
    "created_at": "2025-02-27T11:54:22Z",
    "updated_at": "2025-02-27T11:54:22Z"
  }
]

Last updated

Was this helpful?